Generate PDF Using Templates
Description
You can use this API to generate PDF documents of webpages using Templates as your input.
PDF Request Details
Request URL
{api-domain}/browser360/v1/project/{project_id}/convert
Scope
ZohoCatalyst.pdfshot.EXECUTE
Request JSON Properties
Default: false.
The default value can be changed by using the
page.set_default_timeout() or page.set_default_navigation_timeout() methods.
PDF Response Details
The response will be a PDF that was generated.
Note:
-
You need to create a template in the console to use this API.
-
SmartBrowz Templates offers you the option to set a password for the PDF document you generate using a template. If you employ the Set Password Manually option, then you can use this API. This API cannot be used if you employ the Set Password Dynamically option.
Generate Screenshot Using Templates
Screenshot Description
You can use this API to generate screenshot of webpages, by using Templates as your input.
Screenshot Request Details
Request URL
{api-domain}/browser360/v1/project/{project_id}/convert
Scope
ZohoCatalyst.pdfshot.EXECUTE
Request JSON Properties
The default value can be changed by using the
page.set_default_timeout() or page.set_default_navigation_timeout() methods.
Screenshot Response Details
The response will be a Screenshot that was generated.
curl -X POST 'https://api.catalyst.zoho.com/browser360/v1/project/10470000000272001/convert'
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
-H ‘Content-Type: application/json’
–d ‘{
“template_id”:“367000000044001”,
“template_data”:{},
“output_options”: {
“output_type”: “pdf”
},
“pdf_options” : {
“scale” : 1,
“display_header_footer” : true,
"print_background" : false,
"landscape" : false,
"page_ranges" : "1",
"format" : "A4",
"width" : "100",
"height" : "100",
"omit_background" : false,
"password": "Demo$"
},
"page_options":{
"css" : {
"content" : "body{background: lightgrey}"
},
"viewport" : {
"width": 1440,
"height": 900
},
"javascript_enabled" : true
},
"navigation_options":{
"timeout" : 5000,
"wait_until" : "networkidle0"
}
}’
curl -X POST \ ‘https://api.catalyst.zoho.com/browser360/v1/project/10470000000272001/convert'
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
-H ‘Content-Type: application/json’
-d ‘{
“template_id”:“367000000044001”,
“template_data”:{},
“output_options”: {
“output_type”: “pdf”
},
“screenshot_options” : {
“type” : “jpeg”,
“quality” : 100,
“full_page” : false,
“omit_background” : false,
“capture_beyond_viewport” : true,
“clip” :{
“x” : 50,
“y” : 100,
“width” : 1000,
“height”: 100
}
},
“page_options”:{
"css" : {
"content" : "body{background: lightgrey}"
},
"viewport" : {
"width": 1440,
"height": 900
},
"javascript_enabled" : true
},
“navigation_options”:{
“timeout” : 5000,
“wait_until” : “networkidle0”
}
}’
Yes
No
Send your feedback to us